# DBus-C++

## Desktop Communication Bus System

libdbus-c-- Documentation 0.9.0

- Files
- Data Structures
- Globals
- Main Page

Private Member Functions | Friends | List of all members
DBus::BusWatch Class Reference

`#include <eventloop-integration.h>`

Inheritance diagram for DBus::BusWatch:

## Private Member Functions

| BusWatch (Watch::Internal *, BusDispatcher *)
void | toggle ()

## Friends

class | BusDispatcher

## Additional Inherited Members

Public Member Functions inherited from DBus::Watch
| Watch (Internal *i)
virtual | ~Watch ()
int | descriptor () const
| A main loop could poll this descriptor to integrate dbus-c++.
int | flags () const
| Gets flags from DBusWatchFlags indicating what conditions should be monitored on the file descriptor.
bool | enabled () const
bool | handle (int flags)
| Called to notify the D-Bus library when a previously-added watch is ready for reading or writing, or has an exception such as a hangup.
Public Member Functions inherited from DBus::DefaultWatch
| DefaultWatch (int fd, int flags, DefaultMainLoop *)
virtual | ~DefaultWatch ()
bool | enabled ()
void | enabled (bool e)
int | descriptor ()
int | flags ()
void | flags (int f)
int | state ()
void * | data ()
void | data (void *d)
Public Attributes inherited from DBus::DefaultWatch
Slot< void, DefaultWatch & > | ready

## Detailed Description

Definition at line 53 of file eventloop-integration.h.

## Constructor & Destructor Documentation

## ◆ BusWatch()

BusWatch::BusWatch | ( | Watch::Internal * | wi,
|  | BusDispatcher * | bd )

private

Definition at line 59 of file eventloop-integration.cpp.

References BusDispatcher, DBus::DefaultWatch::DefaultWatch(), DBus::Watch::descriptor(), DBus::DefaultWatch::enabled(), DBus::Watch::enabled(), DBus::DefaultWatch::flags(), DBus::Watch::flags(), and DBus::Watch::Watch().

## Member Function Documentation

## ◆ toggle()

void BusWatch::toggle | ( |  | ) |

private virtual

Implements DBus::Watch.

Definition at line 73 of file eventloop-integration.cpp.

References DBus::debug_log, DBus::DefaultWatch::enabled(), and DBus::Watch::enabled().

## Friends And Related Symbol Documentation

## ◆ BusDispatcher

friend class BusDispatcher

friend

Definition at line 59 of file eventloop-integration.h.

References BusDispatcher.

Referenced by BusDispatcher, and BusWatch().

The documentation for this class was generated from the following files:

- eventloop-integration.h
- eventloop-integration.cpp